Subject: compiling netatalk on OS X

From: Eagle <[email-masked]>
Date: Sun, 17 Feb 2002 17:15:56 -0500

Ryan et al,

I spent some of the weekend getting netatalk 1.5.1.1 to compile on OS 
X.  The first thing I figured out was that Mac OS X (end-user version; 
I'm using 10.1.2) is getting incorrectly recognized as Mac OS X Server.  
As a result, the first thing you need to do after you run ./configure is 
edit the config.h file (in the root dir of the source tree) and comment 
out the "#define MACOSX_SERVER 1" -- I even went so far as to "#undef 
MACOSX_SERVER" -- just to be sure.

With that one change, much of the source tree compiles.  At least, the 
parts _I_ care about compile.   (As to whether they work, well, I'll 
figure that out later.)  Since I'm working on porting macipgw, all I 
needed was libatalk, and that does build with this one change.

The build runs into problems around the uam code (etc/afpd/uam.c), and I 
doubt I'll put too much more work into figuring that out.

FYI, and good luck.

Eagle